﻿from lxml import etree
import folium



def latitude(fichier) :
    """Liste des latitudes du fichier, fichier = format gpx"""
    inputFilename = fichier
    root = etree.parse(inputFilename)
    ns = "http://www.topografix.com/GPX/1/1"
    trackpointlist = root.xpath("/ns:gpx/ns:trk/ns:trkseg/ns:trkpt", namespaces={"ns": ns})
    listelatitude  = []
    for point in trackpointlist:
        listelatitude.append(float(point.get("lat")))
    return listelatitude


def longitude(fichier) :
    """Liste des longitudes du fichier, fichier = format gpx"""
    inputFilename = fichier
    root = etree.parse(inputFilename)
    ns = "http://www.topografix.com/GPX/1/1"
    trackpointlist = root.xpath("/ns:gpx/ns:trk/ns:trkseg/ns:trkpt", namespaces={"ns": ns})
    listelongitude  = []
    for point in trackpointlist:
        listelongitude.append(float(point.get("lon")))
    return listelongitude

def altitude(fichier) :
    """Liste des altitudes du fichier, fichier = format gpx"""
    inputFilename = fichier
    root = etree.parse(inputFilename)
    ns = "http://www.topografix.com/GPX/1/1"
    elevationlist = root.xpath("/ns:gpx/ns:trk/ns:trkseg/ns:trkpt/ns:ele", namespaces={"ns": ns})
    listealti  = []
    for i in range(len(elevationlist)) :
        listealti.append(float(elevationlist[i].text))
    return listealti

def listepoint(liste1,liste2) :
    """retourne la liste des coordonnees des points correspondant aux deux listes"""
    points=[]
    for i in range(0, len(liste1)):
        points.append(tuple([liste1[i], liste2[i]]))
    return points


